### Property

# Json Builder:immutable

since: 1.2

#### Declaration

    property immutable: gboolean [ read, write, construct-only ]

#### Description [src]

Whether the tree should be immutable when created.

Making the output immutable on creation avoids the expense of traversing it to make it immutable later.

Type: | `gboolean`
Available since: | 1.2

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes